%define oname	gst-transcoder

%define api	1.0
%define major	0
%define libname	%mklibname gsttranscoder %{api} %{major}
%define devname	%mklibname gsttranscoder -d
%define girname	%mklibname gsttranscoder-gir %{api}

Name:           gstreamer%{api}-transcoder
Version:        1.14.1
Release:        %mkrel 1
Summary:        GStreamer Transcoding API
Group:          Video/Utilities
License:        LGPLv2+
URL:            https://github.com/pitivi/gst-transcoder
Source0:        https://github.com/pitivi/%{oname}/archive/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:  locales
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  gstreamer1.0-plugins-base-devel
Provides:	%{oname} = %{version}-%{release}

%description
GStreamer Transcoding API.

%package -n %{libname}
Summary:	Shared libraries for %{oname}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{oname}.

%package -n %{devname}
Summary:	GStreamer Transcoding API development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{oname}.

%prep
%setup -qn %{oname}-%{version}

%build
export LC_ALL=UTF-8
%meson
%meson_build

%install
export LC_ALL=UTF-8
%meson_install

%files
%doc LICENSE
%{_bindir}/%{oname}-%{api}
%{_datadir}/gstreamer-%{api}/encoding-profiles/
#plugin
%{_libdir}/gstreamer-%{api}/libgsttranscode.so
%{_datadir}/gtk-doc

%files -n %{libname}
%{_libdir}/libgsttranscoder-%{api}.so.%{major}
%{_libdir}/girepository-1.0/GstTranscoder-%{api}.typelib

%files -n %{devname}
%{_includedir}/gstreamer-%{api}/gst/transcoder/
%{_libdir}/libgsttranscoder-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/GstTranscoder-%{api}.gir


%changelog
* Fri Dec 07 2018 adrianomorselli <adrianomorselli> 1.14.1-1uplos2018
- imported for uplos
